## org.eclipse.datatools.sqltools.debugger.model
Class SPDebugTarget

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPDebugTarget

public class SPDebugTarget
extends SPDebugElement

SP debug target will only have at most one SPThread associated with it, many method of this class will delegate to the SPThread.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SPDebugTarget(ILaunch launch, IProcess process, java.lang.String name)`

Method Summary
`void` `breakpointAdded(IBreakpoint breakpoint)`
`void` `breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` `breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)`
`boolean` `canDisconnect()`
`boolean` `canResume()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`void` `disconnect()`
`void` `disconnected()`
`ILaunch` `getLaunch()`
`IMemoryBlock` `getMemoryBlock(long startAddress, long length)`
`java.lang.String` `getName()`
`IProcess` `getProcess()`
`SPThread` `getSPThread()`
`int` `getSuspendCount()`
`IThread[]` `getThreads()`
`boolean` `hasThreads()`
`void` `internalIncreaseSuspendCount()` Increases the suspend count by one.
`boolean` `isDisconnected()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `launchAdded(ILaunch launch)`
`void` `launchChanged(ILaunch launch)`
`void` `launchRemoved(ILaunch launch)`
`void` `resume()`
`void` `setSPThread(SPThread thread)` Associates the sole thread.
`boolean` `supportsBreakpoint(IBreakpoint breakpoint)`
`boolean` `supportsStorageRetrieval()`
`void` `suspend()`
`void` `terminate()`
`void` `terminated()` this method is called by itself or the thread when the debug target is terminated.

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPDebugTarget

    public SPDebugTarget(ILaunch launch,
                         IProcess process,
                         java.lang.String name)

Method Detail

### setSPThread

    public void setSPThread(SPThread thread)

  Associates the sole thread. Should only be called once, directly after the constructor

  Parameters:
    `thread` -

### getProcess

    public IProcess getProcess()

### getLaunch

    public ILaunch getLaunch()

  Overrides:
    `getLaunch` in class `SPDebugElement`

### getThreads

    public IThread[] getThreads()

### getSPThread

    public SPThread getSPThread()

  Returns:
    the associated thread

### hasThreads

    public boolean hasThreads()
                       throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### canResume

    public boolean canResume()

### canSuspend

    public boolean canSuspend()

### isSuspended

    public boolean isSuspended()

### resume

    public void resume()
                throws DebugException

  Throws:
    `DebugException`

### suspend

    public void suspend()
                 throws DebugException

  Throws:
    `DebugException`

### canTerminate

    public boolean canTerminate()

### isTerminated

    public boolean isTerminated()

### terminated

    public void terminated()

  this method is called by itself or the thread when the debug target is terminated.

### disconnected

    public void disconnected()

### terminate

    public void terminate()
                   throws DebugException

  Throws:
    `DebugException`

### canDisconnect

    public boolean canDisconnect()

### disconnect

    public void disconnect()
                    throws DebugException

  Throws:
    `DebugException`

### isDisconnected

    public boolean isDisconnected()

### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

### supportsStorageRetrieval

    public boolean supportsStorageRetrieval()

### getMemoryBlock

    public IMemoryBlock getMemoryBlock(long startAddress,
                                       long length)
                                throws DebugException

  Throws:
    `DebugException`

### getSuspendCount

    public int getSuspendCount()

  Returns:
    the number of times the debug target suspended.

### internalIncreaseSuspendCount

    public void internalIncreaseSuspendCount()

  Increases the suspend count by one. Called internally by the IThread when they are being suspended.

### launchRemoved

    public void launchRemoved(ILaunch launch)

### launchAdded

    public void launchAdded(ILaunch launch)

### launchChanged

    public void launchChanged(ILaunch launch)

### breakpointAdded

    public void breakpointAdded(IBreakpoint breakpoint)

### breakpointRemoved

    public void breakpointRemoved(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

### breakpointChanged

    public void breakpointChanged(IBreakpoint breakpoint,
                                  IMarkerDelta delta)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.